%define name ftagshtml
%define version 0.154
%define release 1mdk

Summary: Analyze fortran 77, 90 and C procedures and constructs html indexes for navigating onto source code.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Tools
Url: http://ftagshtml.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Ftagshtml is a software made to help developpers navigate onto source code written in fortran 77, fortran 90 and C.
Source code is transformed into HTML for browsing using Netscape or Emacs-W3.

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/ftagshtml
mkdir -p $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/ftagshtml/en

install -s -m 755 ftagshtml $RPM_BUILD_ROOT/usr/bin/ftagshtml
install -m 644 ../man/man1/ftagshtml.1 $RPM_BUILD_ROOT/usr/man/man1/ftagshtml.1
install -m 644 ../lib/perl/ftagshtml/chtml.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/chtml.pm
install -m 644 ../lib/perl/ftagshtml/defaults.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/defaults.pm
install -m 644 ../lib/perl/ftagshtml/fichiers.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fichiers.pm
install -m 644 ../lib/perl/ftagshtml/fontify.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fontify.pm
install -m 644 ../lib/perl/ftagshtml/fthbc.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthbc.pm
install -m 644 ../lib/perl/ftagshtml/fthcall.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthcall.pm
install -m 644 ../lib/perl/ftagshtml/fthc.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthc.pm
install -m 644 ../lib/perl/ftagshtml/fthext.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthext.pm
install -m 644 ../lib/perl/ftagshtml/fthfortran.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthfortran.pm
install -m 644 ../lib/perl/ftagshtml/fthinc.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthinc.pm
install -m 644 ../lib/perl/ftagshtml/fthinp.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthinp.pm
install -m 644 ../lib/perl/ftagshtml/fthinter.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthinter.pm
install -m 644 ../lib/perl/ftagshtml/fthlabel.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthlabel.pm
install -m 644 ../lib/perl/ftagshtml/fthmisc.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthmisc.pm
install -m 644 ../lib/perl/ftagshtml/fthmod.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthmod.pm
install -m 644 ../lib/perl/ftagshtml/fthobj.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthobj.pm
install -m 644 ../lib/perl/ftagshtml/fthrout.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthrout.pm
install -m 644 ../lib/perl/ftagshtml/fthtype.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/fthtype.pm
install -m 644 ../lib/perl/ftagshtml/html.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/html.pm
install -m 644 ../lib/perl/ftagshtml/ihtml.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/ihtml.pm
install -m 644 ../lib/perl/ftagshtml/index.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/index.pm
install -m 644 ../lib/perl/ftagshtml/information.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/information.pm
install -m 644 ../lib/perl/ftagshtml/javaindex.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/javaindex.pm
install -m 644 ../lib/perl/ftagshtml/javanavig.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/javanavig.pm
install -m 644 ../lib/perl/ftagshtml/latex.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/latex.pm
install -m 644 ../lib/perl/ftagshtml/LaTeX.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/LaTeX.pm
install -m 644 ../lib/perl/ftagshtml/oref.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/oref.pm
install -m 644 ../lib/perl/ftagshtml/restart.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/restart.pm
install -m 644 ../lib/perl/ftagshtml/searchfc.pm $RPM_BUILD_ROOT/usr/share/ftagshtml/lib/perl/ftagshtml/searchfc.pm
install -m 644 ../doc/en/ftagshtml.html $RPM_BUILD_ROOT/usr/share/doc/ftagshtml/en/ftagshtml.html


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README


%changelog
