#!/usr/bin/perl -w
# -*- Mode: cperl -*-
#|########################################################################
# view: views a file given its HTML source with a proper format (given by
#       ftagshtml) showing specific lines provided by getin.
#    Copyright (C) 2000 Olivier Cessenat.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#|########################################################################
use CGI ;
use File::Basename ;
BEGIN {
    my $mypath = dirname(dirname($ENV{'SCRIPT_FILENAME'})) ;
    $ENV{'GETIN_DIR'} = $mypath unless (defined $ENV{'GETIN_DIR'}) ;
    push @INC,$mypath.'/lib/perl';
    push @INC,$ENV{'FTAGSHTML_DIR'}.'/lib/perl';
}
$q = new CGI ;
print STDOUT $q->header('text/html');
#%###################################################
@names = $q->param ;
foreach $name (@names) {
    ${"opt_$name"} = $q->param($name) ;
}
if ($opt_conf) {
    require "$ENV{'GETIN_DIR'}/lib/perl/getin/conf/$opt_conf.pm" ;
}
use view::viewhtml ;
if ($opt_www) {
    &viewhtml::View_WEB_Core($opt_www,$opt_html,$opt_file,$opt_lines) ;
} else {
    print STDOUT "NOWEB" ;
    &viewhtml::View_Core($opt_html,$opt_file,$opt_lines) ;
}
#%###################################################
print STDOUT $q->end_html;    
