package javaindex;
#%########################################################
# Marcelino Alves Martins Java Indexes creation,
# http://www.geocities.com/Paris/LeftBank/2178/
#%########################################################
#|########################################################################
# ftagshtml: transforms fortran and C source into HTML or PostScript or PDF.
#    Copyright (C) 2000 Olivier Cessenat.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#|########################################################################
sub WriteEnvir {
    open(INDEX,">$main::DIRE/${file}.html") or die "index MAIN non inscriptible";
    $objet = $file ;
    print INDEX "<html> <head>
<title>
Fichier $file.
</title>
</head>
<frameset COLS=\"25%,*\" BORDER=\"1\" MARGINHEIGHT=\"0\" MARGINWIDTH=\"0\">
<FRAMESET ROWS=\"50%,*\">
  <frame SRC=\"${file}LF.html\" NAME=\"java\">
  <frame SRC=\"${objet}_i.html\" NAME=\"index\">
</FRAMESET> 
  <frame SRC=\"${objet}_c.html\" NAME=\"source\">
</frameset>
</html>\n";
    close(INDEX) ;
    open(INDEX,">$main::DIRE/ftie4style.css") or die "index CSS non inscriptible";
    print INDEX "BODY {background-color: white}\n";
    close(INDEX) ;
    open(INDEX,">$main::DIRE/${file}LF.html") or die "index LF non inscriptible";
    print INDEX "<html>
<head>
<link rel=\"stylesheet\" href=\"ftie4style.css\">
<!-- Infrastructure code for the tree -->
<script src=\"ftiens4.js\"></script>
<!-- Execution of the code that actual ly builds the specific tree -->
<script src=\"${file}.js\"></script>
<script>
initializeDocument()
</script>
</head>
<body bgcolor=white>
</html>\n";
    close(INDEX) ;
}
#%########################################################    
sub WriteSystem {
    my(@liste) = ("ftiens4.js" ,"ftv2lastnode.gif", "ftv2plastnode.gif", "ftv2blank.gif", "ftv2link.gif", "ftv2pnode.gif", "ftv2doc.gif", "ftv2mlastnode.gif", "ftv2vertline.gif", "ftv2folderclosed.gif", "ftv2mnode.gif", "ftv2folderopen.gif", "ftv2node.gif");
    foreach $a (@liste) {
	&fichiers::UnixCopy("$ENV{FTAGSHTML_DIR}/lib/perl/javatex/$a","$main::DIRE/$a") ;
    }
}
#%########################################################
sub InsertFolder {
    my($f,$w,$fic,$label,$ref) = @_ ;
    if ($fic) {
	return("$f = insFld($w,gFld(\"$label\",\"$ref\"))\n");
    } else {
	unless ($InsertFolder) {
	    $InsertFolder = "$main::DIRE/empty_reference.html" ;
	    if (open(FOLDER,">$InsertFolder")) {
		print FOLDER "<HTML><HEAD><TITLE>Reference Not Found</TITLE></HEAD><BODY BGCOLOR=\"white\"><H1>The requested link connot be found.</H1>This probably means the requested routine does not exist in your source code.</BODY></HTML>\n";
		close(FOLDER) ;
	    }
	}
	return("$f = insFld($w,gFld(\"<FONT COLOR=RED>$label</FONT>\",\"empty_reference.html\"))\n");
    }
}
#|#######################################################
sub SmallJavaNavigator {
# Experimental.
    local($file) = @_ ;
    &WriteEnvir ;
    my($ligne) = "" ;
    $ligne .= "foldersTree = gFld(\"<i>Trees of $file</i>\",\"${file}_c.html\")\n";
    $ligne .= "aux1 = insFld(foldersTree,gFld(\"<i>Descending Tree</i>\",\"${file}_c.html\"))\n";
    foreach $s0rep (sort @{$main::lfichiers{$file}}) {
	next unless $s0rep ;
	($localRoutine,$localFile,$localNum) = &main::GetInfoRoutine($s0rep) ;
	$ref = "$localFile".'_c.html'.'#'."R_$localRoutine";
	$ligne .= &InsertFolder("\taux2","aux1",$localFile,$localRoutine,"$ref") ;
	foreach $s1rep (values %{$main::realcalls{$s0rep}}) {
	    next unless $s1rep ;
	    ($localRoutine,$localFile,$localNum) = &main::GetInfoRoutine($s1rep) ;
	    $ref = "$localFile".'_c.html'.'#'."R_$localRoutine";
	    $ligne .= &InsertFolder("\t\taux3","aux2",$localFile,$localRoutine,"$ref") ;
	    foreach $s2rep (values %{$main::realcalls{$s1rep}}) {
		next unless $s2rep ;
		($localRoutine,$localFile,$localNum) = &main::GetInfoRoutine($s2rep) ;
		$ref = "$localFile".'_c.html'.'#'."R_$localRoutine";
		$ligne .= &InsertFolder("\t\taux4","aux3",$localFile,$localRoutine,"$ref") ;
	    }
	}
    }
    $ligne .= "aux1 = insFld(foldersTree,gFld(\"<i>Ascending Tree</i>\",\"${file}_c.html\"))\n";
    foreach $s0rep (sort @{$main::lfichiers{$file}}) {
	next unless $s0rep ;
	($localRoutine,$localFile,$localNum) = &main::GetInfoRoutine($s0rep) ;
	$ref = "$localFile".'_c.html'.'#'."R_$localRoutine";
	$ligne .= &InsertFolder("\taux2","aux1",$localFile,$localRoutine,"$ref") ;
	foreach $s1rep (keys %{$main::realcalled{$s0rep}}) {
	    next unless $s1rep ;
	    ($localRoutine,$localFile,$localNum) = &main::GetInfoRoutine($s1rep) ;
	    $ref = "$localFile".'_c.html'.'#'."R_$localRoutine";
	    $ligne .= &InsertFolder("\t\taux3","aux2",$localFile,$localRoutine,"$ref") ;
	    foreach $s2rep (keys %{$main::realcalled{$s1rep}}) {
		next unless $s2rep ;
		($localRoutine,$localFile,$localNum) = &main::GetInfoRoutine($s2rep) ;
		$ref = "$localFile".'_c.html'.'#'."R_$localRoutine";
		$ligne .= &InsertFolder("\t\taux4","aux3",$localFile,$localRoutine,"$ref") ;
	    }
	}
    }
    open(JS,">$main::DIRE/${file}.js") or die "Refused right on $main::DIRE/${file}.js";
    print JS "$ligne" ;
    close(JS) ;
}
#|#######################################################
1;
