package information;
sub tvisu::information {
    $AS='\\';
    print "
${AS}chapter{Prsentation de ${main::Myname}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
${AS}section{Object de ${main::Myname}}
Script de visualisation en {${AS}LaTeX} des programmes crits en
fortran 77 - fortran 90 - sh - csh - ksh - c - c++ - lisp...

${AS}section{Crateur de ${main::Myname}}
Olivier Cessenat Fvrier 1996.

${AS}section{Remerciements pour ${main::Myname}}
${AS}begin[description]
${AS}item[Guilhem Chevalier:] Dieu ait son me au Canada.
Initiateur de l'ide et don de la version de visualisation {\TeX}.
${AS}item[Nicolas L'Huillier:] Dieu ait son me  Saclay.
Aide fondamentale pour la cration de ${main::ToLatex}.
${AS}end[description]

${AS}chapter{Prsentation complmentaire de ${main::Myname}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
${AS}section{Possibilits offertes dans le fortran par ${main::Myname}}
(pour les lignes de commentaires exclusivement).
${AS}begin{itemize}
${AS}item La ligne est lue comme une ligne {${AS}TeX} protge, pas
d'intruction {${AS}LaTeX} sur cette ligne.
Le symbole est: '|'
${AS}item en minuscules, permet l'inclusion de variable dfinie ou de fichier
d'aide. Le symbole est: '${AS}input'
${AS}item en minuscules, permet l'inclusion force de variable ou de fichier d'aide
Le symbole est: '${AS}reinput'
${AS}item en minuscules, permet l'inclusion de fichier verbatim
Le symbole est: '${AS}verbatiminput'
${AS}item en minuscules, permet l'inclusion de fichier fortran en annexe.
 Le symbole est: '${AS}fortraninput'
${AS}end{itemize}

${AS}section{Extensions possibles de ${main::Myname}}
${AS}begin{itemize}
${AS}item Adaptation  d'autres langages
${AS}item Toute modification, amlioration est la bienvenue.
${AS}end{itemize}

${AS}section{Package requis pour utiliser ${main::Myname}}
${AS}begin{description}
${AS}item[A] Il faut install {${AS}LaTeX}2e, disposer de 'dvips',
'makeindex', 'bibtex', et 'xdvi'.
${AS}item[B] Fichiers communs, ncessaires a la transformation en 
{${AS}TeX} puis {${AS}LaTeX}.
${AS}begin{description}
${AS}item[${main::ToTexCompiler}:]
		programme en C transformant le fortran en TeX pour
		le style 'tgrind' modifi par O. Cessenat.
${AS}item[${main::ToLatex}:]
		programme en C transformant la version prcdente
		en latex.
${AS}item[${main::TGRIND}.sty:]
		Fichier de style pour les parties en TeX:
		le fortran et les lignes de
		commentaires prcdes de 'c|'.
${AS}item[${main::descfile}:]
		Fichier de style des langages fortran, C, ...
		utilis par ${main::ToTexCompiler}.

${AS}end{description}
${AS}item[C]: Fichiers personnels, spcifiques  LaTeX:
${AS}item[${main::bibfile}.bib:]
		Fichier de bibliographie
${AS}item[${main::INFO}.tex:]
		Fichier de dfinition de macros:
		notamment, les variables du programme a crire en gras.
${AS}item[${main::def1}.tex:]
		Fichier de dfinition de macros:
		notamment, tous les symboles mathmatiques de
		haut niveau.
${AS}item[${main::MYHOME}/${main::def2}.tex:]
		Fichier de dfinition de macros:
		notamment, le style de document et les environnements
		mathmatiques qui dependent du langage.
${AS}end{description}

${AS}section{Usage de ${main::Myname}}
Toutes les options ci-dessous ne fonctionnent
pas ncessairement (si 'not supported'):
${AS}begin{itemize}
${AS}item A Accents
${AS}item c (compilation sur la fenetre de travail)
${AS}item d <descfile>... not supported
${AS}item D <fichier.data> : (compte les lignes des fichiers contenus dans
	     le <fichier.data> qui suit)
${AS}item e <executable> execute <executable> avant de compiler
${AS}item F (force la re-mise a jour des cross-references latex
${AS}item h <head>... not supported --??
${AS}item i (visualisation d'un fichier .tex sans entete ni queue)
${AS}item I (effectue l'index)
${AS}item k (output=Listing)
${AS}item K (output=Listing comme these)
${AS}item l <langage> (force l'utilisation d'un langage particulier)
${AS}item n (force l'apparition du .dvi)
${AS}item N (interdit l'apparition du .dvi)
${AS}item P (output=Listing comme note cea)
${AS}item q (output=printer... not supported)
${AS}item r (landscape) --??
${AS}item R (output=tailles de page minimales, conseille pour un listing)
${AS}item s <latexfontsize>... not supported
${AS}item T <directory cible temporaire du systeme>
${AS}item t <directory cible local a la machine>
${AS}item v (apparition de xlatex)
${AS}item * (options=options suivantes... not supported)
		-letc... Cf. man de vgrind

${AS}end{itemize}

${AS}section{Remarque sur ${main::ToLatex}}
";
system "${main::ToLatex}";
    print "Veuillez-consulter le fichier
/net/lah220/usr/local/docshtml/tvisu.html
avec netscape.\n" ;
}
1;
