package options;
# Lecture des options.
sub tvisu::options () {
    if ($main::opt_A) {
	print "$main::Myname: Modification des accents au prealable\n" ;
	$main::Accents = "1" ;
    }
    if ($main::opt_c) {
	print "$main::Myname: Compilation sur la fenetre de travail\n" ;
	$main::compil = "1" ;
    }
    if ($main::opt_D) {
	print "$main::Myname: Specifying data file.\n" ;
	$main::cntliname = "cntli" ; 
	$main::datafile = "$main::opt_D" ;
	if (open(FILE,"$main::datafile")) {
	    $main::dataliste = "$main::dataliste $main::datafile\n" ;
	    print "$main::Myname: datafile=$main::datafile\n" ;
	    $main::DataFile = "" ;
	    close(FILE) ;
	} else {
	    die "$main::Myname: la datafile $main::datafile n'existe pas." ;
	}
    }
    if ($main::opt_d) {
	print "$main::Myname: Specifying new descfile instead of optional\n" ;
	$main::descfile = "$main::opt_d" ;
	print "$main::Myname: New Predefinite Keywords Given $main::descfile\n" ;
    }
    if ($main::opt_e) {
	print "$main::Myname: Lancement d'un executable avant la compilation latex.\n" ;
	$main::executable="$main::opt_e" ;
    }
    if ($main::opt_f) {
	print "$main::Myname: Compilation mode sans echec\n";
	$main::compil="$main::opt_f" ;
    }
    if ($main::opt_F) {
	$main::again="1";
	print "$main::Myname: Compilations latex successives demandees \n";
    }
    if ($main::opt_h) {
	print "$main::Myname: Traditional header option (expected)\n";
	$main::head="$main::opt_h" ;
    }
    if ($main::opt_H) {
	print "$main::Myname: Pour le html\n";
	$main::Listing="" ;
	$main::latexfontsize=",10pt" ;
	$main::table="%";
	$main::output="HTM" ;
    }
    if ($main::opt_i) {
	print "$main::Myname: le fichier attendu est un fichier .tex\n";
	$main::FileTex="1" ; 
    }
    if ($main::opt_I) {
	print "$main::Myname: Index demande\n";
	$main::IndEx="" ;
    }
    if ($main::opt_k) {
	print "$main::Myname: Small Listing Option.\n";
	print "$main::Myname: Pensez a effectuer une impression Recto-Verso.\n";
	$main::Listing=",twoside";
	$main::output="Lis" ;
    }
    if ($main::opt_K) {
	print "$main::Myname: Nice Listing Option.\n";
	print "$main::Myname: Pensez a effectuer une impression Recto-Verso.\n";
	$main::Listing=",twoside" ;
	$main::latexfontsize=",10pt";
	$main::output="LIS" ;
    }
    if ($main::opt_n) {
	$main::dviexists="";
	$main::restart=1;
	print "$main::Myname: Vous demandez l'appartion forcee du dvi.\n";
    }
    if ($main::opt_N) {
	$main::dviexists="a";
	$main::restart=-1;
	print "$main::Myname: Vous demandez la non appartion du dvi.\n";
    }
    if ($main::opt_P) {
	print "$main::Myname: Nice Note Option.";
	print "$main::Myname: Pensez a ne pas faire d'impression Recto-Verso.\n";
	$main::Listing="" ;
	$main::latexfontsize=",10pt";
	$main::output="BIS" ;
    }
    if ($main::opt_q) {
	print "$main::Myname: Traditional printing device\n";
	$main::output="qms";
	$main::Printer = $main::opt_q;
    }
    if ($main::opt_r) {
	print "$main::Myname: Traditional landscape option\n";
	$main::landscape="Y" ; 
    }
    if ($main::opt_R) {
	print "$main::Myname: Reduction au maximum du nombre de pages.\n";
	print "$main::Myname: Pensez a effectuer une impression Recto-Verso\n";
	print "$main::Myname: deux pages en une en 'paysage' pour reduire.\n";
	print "$main::Myname: le nombre de pages du listing.\n";
	print "$main::Myname: L'impression sera a faire a l'aide de $main::Code/imprv\n";
	$main::Listing="" ;
	$main::latexfontsize=",12pt";
	$main::output="RED" ;
    }
    if ($main::opt_s) {
	$main::latexfontsize=$main::opt_s;
    }
    if ($main::opt_t) {
	print "$main::Myname: Specification d'un directory cible local a la machine $main::HOST.\n";
	print "$main::Myname: Ancien directory cible: $main::DIRT\n";
	$main::code=$main::opt_t;
	print "$main::Myname: directory d'acces supplementaire: $main::code\n";
	$main::DIRT="/tmp/$main::USERNOM/$main::Myname/$main::code\n";
	print "$main::Myname: directory cible de travail: $main::DIRT\n";
    }
    if ($main::opt_v) {
	print "$main::Myname: Traditional verbatim output\n";
	$main::output="ver" ; 
    }
    if ($main::opt_l) {
	$main::var = "$main::opt_l";
	$main::LANGUE=$main::opt_l;
	print "$main::Myname: Vous demandez l'option de langage forcee\n";
	print "$main::Myname: LANGUE='$main::LANGUE'.\n";
    }
    $main::nbfiles=0;
    foreach $main::var (@ARGV) {
	if (open(FILE,$main::var)){
	    $main::files .= " $main::var";
	    $main::nbfiles++;
	    close(FILE);
	}
    }
}
1;
