#%################################################################
# \chapter{Sauvegarde}
#%################################
# \subsection{Sauver sous.}
sub fileSaveAs {
    $datafile = $menu_cave->getSaveFile();
    if (&controle_data) {
	&chek_file_name ;
	if ($datafile =~ /(.*?)\.data$/) {
	    $datafile = $1 ;
	} else {
	    $datafile = "" ;
	}
	&fileToDisk if $datafile ;
    } else {
	&PrintStderr("L'intgrit de vos donnes n'est pas assure");
    }
}
#%################################
# \subsection{Sauvegarde du fichier}
sub fileSave {
    if (&controle_data) {
	&fileToDisk ;
    } else {
	&PrintStderr("L'intgrit de vos donnes n'est pas assure");
    }
}
#%################################
# \subsection{Ouverture de la sortie standard pour \'ecriture.}
sub fileToStdout {
    &EcrisDataDansFichier ;
    print STDOUT $message ;
    &PrintStdout($message);
}
#%################################
# \subsection{Ouverture du fichier \`a \'ecrire.}
sub fileToDisk {
    if (($datafile) && (open(DATAFILE,">$datafile.data"))) {
	&EcrisDataDansFichier ;
	print DATAFILE $message ;
	close(DATAFILE);
	$fileissaved = 1 ;
	$base_file->configure(-bg => 'pink');
	&PrintStdout("Fichier $datafile.data sauvegard");
    } else {
	&EcrisDataDansFichier ;
	print STDOUT $message ;
    }
}
#%################################
# \section{Ecriture du fichier.}
sub EcrisDataDansFichier {
#%################################################################
1;

