#%################################
# \subsection{V\'erification qu'un \'el\'ement alphanumrique n'appartient pas \`a une liste}
sub CheckListAlpha {
    local($a,$list) = @_ ;
    if ($a =~ /([\w\.]+)/) {
	my($c) = $1 ;
	if ($a eq $c) {
	    foreach $b (@$list) {
		if ($a eq $b) {
		    push(@err,"Le nom $a existe dans la liste.");
		    return(0) ;
		}
	    }
	    return("OK") ;
	}
    }
    push(@err,"Le nom $a donn n'est pas correct.");
    return(0);
}
#%################################
# \subsection{V\'erification qu'un \'el\'ement n'appartient pas \`a une liste}
sub CheckList {
    local($a,$list) = @_ ;
    foreach $b (@$list) {
	if ($a eq $b) {
	    push(@err,"Le nom $a existe dans la liste.");
	    return(0) ;
	}
    }
    return("OK");
}
#%################################
# \subsection{Test si une entr\'ee est enti\`ere strictement positive.}
sub IsIntegerSP {
    my($i) = @_ ;
    if (defined($i)) {
	if ("$i" =~ /(\d+)/) {
	    if ("$i" eq $1) {
		if ($i > 0) {
		    return(1);
		} else {
		    push(@err,"$i n'est pas strictement positif.");
		}
	    } else {
		push(@err,"$i n'est pas un nombre entier.");
	    }
	} else {
	    push(@err,"$i n'est pas un nombre entier.");
	}
    } else {
	push(@err,"Le nombre saisi n'est pas dfini.");
    }
    return(0);
}
#%################################
# \subsection{Test si une entr\'ee est num\'erique.}
sub Isnotnumeric {
    my($a)=@_ ;
    if ($a =~ /^(e)/i) {
	push(@err,"Nombre commenant par $1 refus.");
	return(1);
    }
    if ($a =~ /^([\d\.\+\-eE]+)$/) {
	if ($a eq $1) {
	    print "Nombre $a acept\n";
	    return(0);
	}
    }
    push(@err,"Ce nombre contient des caractres non valables");
    return(1);
}

1;
