package headers;
# Lecture des options.
sub tvisu::ResTex () {
    print "Fichier ${main::ResTex}.tex\n";
    open(FICHIERRESULTAT,">${main::ResTex}.tex") or die "${main::ResTex}.tex";
    $AS="\\";
    print FICHIERRESULTAT "".
"${AS}documentclass[leqno${main::latexfontsize}${main::Listing}]{report}
${AS}usepackage[latin1]{inputenc}
${AS}usepackage{${main::TGRIND},a4,psfig}
${AS}usepackage{fancyheadings}
${AS}usepackage[dvips]{graphicx}
${AS}usepackage[dvips]{changebar}
${AS}usepackage{heqn}
${AS}usepackage{epsfig}
${AS}usepackage{makeidx}
${AS}usepackage{verbatim}
${AS}usepackage{amsmath}
${AS}usepackage{amsthm}
${AS}usepackage{amsfonts}
%%${AS}def${AS}annexe{${AS}appendix}
${AS}usepackage{french}
${AS}usepackage{html,htmllist}
${AS}usepackage{colordvi}
${AS}renewcommand{${AS}thepart}         {${AS}arabic{part}}
${AS}renewcommand{${AS}thechapter}      {${AS}thepart.${AS}arabic{chapter}}
${AS}renewcommand{${AS}thesection}      {${AS}thechapter.${AS}arabic{section}}
${AS}renewcommand{${AS}thesubsection}   {${AS}thesection.${AS}arabic{subsection}}
${AS}renewcommand{${AS}thesubsubsection}{${AS}thesubsection .${AS}arabic{subsubsection}}
${AS}renewcommand{${AS}theparagraph}    {${AS}thesubsubsection.${AS}arabic{paragraph}}
${AS}renewcommand{${AS}thesubparagraph} {${AS}theparagraph.${AS}arabic{subparagraph}}
${AS}renewcommand{${AS}theequation}{${AS}thechapter.${AS}arabic{equation}}
${start}
${IndEx}${AS}makeindex
\catcode`\@=11
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\renewcommand*{\l@part}[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty{-\@highpenalty}%
    \addvspace{2.25em \@plus\p@}%
    \begingroup
      \setlength\@tempdima{3em}%
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hbox to\@pnumwidth{\hss #2}}\par
       \nobreak
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}
    \endgroup
  \fi}

\renewcommand*{\l@chapter}[2]{%
  \ifnum \c@tocdepth >\m@ne
    \addpenalty{-\@highpenalty}%
    \vskip 1.0em \@plus\p@
%    \setlength\@tempdima{1.5em}%
    \setlength\@tempdima{3.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hbox to\@pnumwidth{\hss #2}\par
      \penalty\@highpenalty
    \endgroup
  \fi}

\renewcommand*{\l@section}      {\@dottedtocline{1}{1.5em}{4.3em}}
\renewcommand*{\l@subsection}   {\@dottedtocline{2}{3.8em}{5.2em}}
\renewcommand*{\l@subsubsection}{\@dottedtocline{3}{7.0em}{6.1em}}
\renewcommand*{\l@paragraph}    {\@dottedtocline{4}{10em}{7em}}
\renewcommand*{\l@subparagraph} {\@dottedtocline{5}{12em}{8em}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\catcode`\@=12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    EchoInput def1 ${def1} >> ${ResTex}.tex
    EchoInput def2 ${def2} >> ${ResTex}.tex
    EchoInput INFO ${INFO} >> ${ResTex}.tex
    EchoB 1 "egin{document}" >> ${ResTex}.tex
    EchoB $bibstyle "ibliographystyle{${bibstyle}}" >> ${ResTex}.tex
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\author{$USERNOM}
\title{Code ${codename}.\\\\ Listing ${routines}.}
\maketitle 
\setcounter{page}{2}
${Com}${table}\tableofcontents
${DataFile}\input ${ResTex}.history
\input ${MyFiles}.latex
${BiBTeX}${Com}\newpage
${BiBTeX}${Com}\addcontentsline{toc}{part}{Bibliographie.}
${bibtex}
${IndEx}%\clearpage
${IndEx}${Com}\newpage
${IndEx}${Com}\addcontentsline{toc}{part}{Index.}
${IndEx}\printindex
${IndEx}%\fauxtab{Index}
${IndEx}%\input{${ResTex}.ind}
\end{document}
";
}

1;
